karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Apache Sling on Karaf 4.0
Date Sun, 05 Jul 2015 18:47:56 GMT
Hi Oliver,

if you want to migrate smoothly, you can still use features xmlns < 
1.3.0: it should work as before.

If you want to use new style features repository XML (xmlns >= 1.3.0), 
in that case you use the new features resolver.

The dependency attribute is no more required with xmlns 1.3.0 as the 
resolver deals with that.

Regards
JB

On 07/05/2015 08:35 PM, Oliver Lietz wrote:
> hi,
>
> I'm trying to bring Sling's Karaf features to Karaf 4.0 but encounter some
> problems. So far there is a problem with dependency=true for bundles and the
> wrap protocol (may be related to Pax Exam?).
>
> I've documented my findings in SLING-4412 and added a patch (against trunk)
> which updates Karaf from 3.0.3 to 4.0.1-SNAPSHOT and removes the dependency
> attribute (workaround).
>
> Can someone with understanding of the new resolver have a look what goes
> wrong, please?
>
> Thanks,
> O.
>
> https://issues.apache.org/jira/browse/SLING-4412
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message